<?php

namespace App\Exceptions;

class ValidationException extends \InvalidArgumentException
{
    public function __construct(string $message, private array $details = [])
    {
        parent::__construct($message);
    }

    public function details(): array
    {
        return $this->details;
    }
}
